Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.s9api
Class SaxonApiUncheckedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  net.sf.saxon.s9api.SaxonApiUncheckedException

All Implemented Interfaces:
  Serializable

    public class SaxonApiUncheckedException

extends RuntimeException

An unchecked exception thrown by the Saxon API. Unchecked exceptions are used only when errors occur in a method for which the interface specification defines no checked exception, for example `Iterator.next()`. The exception always wraps some underlying exception, which can be retrieved using `Throwable.getCause()`

See Also:
  Serialized Form

Constructor Summary
`SaxonApiUncheckedException(Throwable err)` Create an unchecked exception

Method Summary
`String` | `getMessage()` Returns the detail message string of this throwable.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SaxonApiUncheckedException

    public SaxonApiUncheckedException(Throwable err)

  Create an unchecked exception

  Parameters:
    `err` - the underlying cause

Method Detail

### getMessage

    public String getMessage()

  Returns the detail message string of this throwable.

  Overrides:
    `getMessage` in class `Throwable`
  Returns:
    the detail message string of this `Throwable` instance (which may be `null`).

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.